"use strict";
var uni_modules_wotDesignUni_components_common_props = require("../common/props.js");
const imgProps = {
  ...uni_modules_wotDesignUni_components_common_props.baseProps,
  customImage: uni_modules_wotDesignUni_components_common_props.makeStringProp(""),
  src: String,
  previewSrc: String,
  round: uni_modules_wotDesignUni_components_common_props.makeBooleanProp(false),
  mode: uni_modules_wotDesignUni_components_common_props.makeStringProp("scaleToFill"),
  lazyLoad: uni_modules_wotDesignUni_components_common_props.makeBooleanProp(false),
  width: uni_modules_wotDesignUni_components_common_props.numericProp,
  height: uni_modules_wotDesignUni_components_common_props.numericProp,
  radius: uni_modules_wotDesignUni_components_common_props.numericProp,
  enablePreview: uni_modules_wotDesignUni_components_common_props.makeBooleanProp(false),
  showMenuByLongpress: uni_modules_wotDesignUni_components_common_props.makeBooleanProp(false)
};
exports.imgProps = imgProps;
